%define name	leafnode
%define version	1.9.22
%define release 1

Summary:	Leafnode - a leafsite NNTP server
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Artistic
Group: 		System/Servers
URL:		http://www.leafnode.org/
Source: 	ftp://wpxx02.toxi.uni-wuerzburg.de/pub/%{name}-%{version}.tar.gz
Source1:	%{name}.texpire
Source2:	%{name}.filters
Source3: 	%{name}.xinetd
Source4:	%{name}.fetchnews
Buildroot:	/var/tmp/%{name}-buildroot
Conflicts:	inn
Requires:	xinetd

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet.  It supports a subset of NNTP and is able
to automatically fetch the newsgroups the user reads regularly from
the newsserver of the ISP.

%prep
%setup -q -n %{name}-%{version}.rel

%build
%configure --sysconfdir=/etc/leafnode 
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# additional files
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/cron.daily/texpire
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/leafnode/filters
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/etc/xinetd.d/leafnode
install -m 755 %SOURCE4 $RPM_BUILD_ROOT/etc/cron.hourly/fetchnews


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING CREDITS INSTALL README TODO
%config(noreplace) /etc/cron.daily/texpire
%config(noreplace) /etc/cron.hourly/fetchnews
%config(noreplace) /etc/xinetd.d/leafnode
%attr (-,news,news) %config /etc/leafnode/config.example
%attr (-,news,news) %config(noreplace) /etc/leafnode/filters
/usr/bin/*
/usr/sbin/*
/usr/share/man/man?/*
%attr (-,news,news) %dir /var/lock/news
%attr (-,news,news) /var/spool/news



%changelog
* Thu Apr 25 2002 Kai Puolamki <Kai.Puolamaki@iki.fi> 1.9.22-1
- Upgrade to 1.9.22

* Fri Oct 19 2001 Kai Puolamki <Kai.Puolamaki@iki.fi> 1.9.19-5
- Set xinetd default to disabled

* Fri Oct 19 2001 Kai Puolamki <Kai.Puolamaki@iki.fi> 1.9.19-2
- Home build

* Tue Oct 09 2001 Florin <florin@mandrakesoft.com> 1.9.19-1mdk
- 1.9.19

* Fri Sep 14 2001 Florin <florin@mandrakesoft.com> 1.9.18-4mdk
- s/Copyright/License
- remove the german description
- add the man7 man page

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.18-3mdk
- Remove inetd.conf stuff in %post.

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.18-2mdk
- s|netkit-base|xinetd|;

* Fri Dec 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9.18-1mdk
- new and shiny source.
- remove CHANGES from the filelist (no such file or directory).

* Mon Nov 06 2000 Florin Grad <florin@mandrakesoft.com> 1.9.17-2mdk
- add leafnode-xinetd (thks to Martin Blaszczyk)

* Fri Sep 08 2000 Florin Grad <florin@mandrakesoft.com> 1.9.17-1mdk
- new release

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 1.9.16-1mdk
- new release
- changing some macros

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.15-1mdk
- new release
- BM

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.14-1mdk
- fix build as root (Skwar sucks :-) )
- use new macros
- Alexander Skwar <ASkwar@DigitalProjects.com>
	* Upgraded to version 1.9.14
	* Used the german man pages from Alexander Stielau and Alexander Reinwarth

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 1.9.12-3mdk
- add require netkit-base

* Tue Apr  4 2000 Denis Havlik <denis@mandrakesoft.com> 1.9.12-2mdk
- changed permissions of /var* dirs to 755 (rpmlint!) 

* Thu Mar 30 2000 Denis Havlik <denis@mandrakesoft.com> 1.9.12-1mdk
- new Group (System/Servers)
- changed leafnode-buildroot.patch
- explicitely list attributes in %files section
- changed "Copyright:" to artistic

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.9-2mdk
- Chown to news.news some files.

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.9.9
- used srpm provided by Andre Steden <andre@steden.de>

* Tue Jan 18 2000 Andre Steden <andre@steden.de>
- build for mandrake-linux
- add leafnode-buildroot.patch
